---
sidebar_position: 1
description: Get app authentication link and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get app authentication link
 Forms a link for authorization via the browser



`Function GetAppAuthLink(Val Domain, Val ClientID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Domain | --domain | String | &#x2714; | Current Bitrix URL (like 'portal.bitrix24.com') |
  | ClientID | --clientid | String | &#x2714; | Client ID from app settings |

  
  Returns:  String - URL for browser transition



```bsl title="1C:Enterprise/OneScript code example"
    Domain   = "b24-ar17wx.bitrix24.by";
    ClientID = "local.6667fc928a50a9.70414732";

    Result = OPI_Bitrix24.GetAppAuthLink(Domain, ClientID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetAppAuthLink \
             --domain "b24-ar17wx.bitrix24.by" \
             --clientid "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetAppAuthLink ^
             --domain "b24-ar17wx.bitrix24.by" ^
             --clientid "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
"https://b24-ar17wx.bitrix24.by/oauth/authorize/?client_id=local.6667fc928a50a9.70414732"
```
